Bug Hunting Session
Bug 118634 - Address block content not shown in mail-merged document if a field is added after running wizard
Summary: Address block content not shown in mail-merged document if a field is added a...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2018-07-09 13:25 UTC by Aron Budea
Modified: 2018-12-10 16:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-07-09 13:25:47 UTC
- Save an empty document.
- Run MM wizard, at step 3 add an address list, and enable that the document shall contain an address block (attachment 136519 [details] can be used with US English UI without having to match fields).
- Go to step 5 (so the address block is actually inserted), and click Finish.
- Go to Insert -> Field -> More Fields..., locate mail merge fields, and add any of the fields.
- On MM toolbar, click Edit Individual Documents.

=> The address block is empty.

Observed using LO 6.1.0.1 / Windows 7.
Comment 1 Mike Kaganski 2018-07-10 08:11:08 UTC
https://gerrit.libreoffice.org/57178
Comment 2 Commit Notification 2018-07-10 16:39:58 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=edc62adae9a354ca1305e83b10c98a545f58d341

tdf#118634: Don't save embedded data source to a temporary preview document

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-08-10 11:23:57 UTC
A polite ping to Mike Kaganski:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 4 Xisco Faulí 2018-09-10 10:01:32 UTC
(In reply to Xisco Faulí from comment #3)
> A polite ping to Mike Kaganski:
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

Ping ?
Comment 5 Xisco Faulí 2018-12-10 16:08:08 UTC
Verified in

Version: 6.2.0.0.beta1+
Build ID: 01fea181faf92a3498370460d3db2254da11c3e2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Closing as RESOLVED FIXED

@Mike Kaganski, thanks for fixing this!
Comment 6 Aron Budea 2018-12-10 16:13:51 UTC
I think there were multiple parts to this, and the commit only dealt with one of them. Don't have any repro cases, though.